Skip to content

API reference

Export the workspace configuration

config_export — A JSON document (schema_version 1) of groups, templates, playbooks, tasks, campaigns with steps, limits and post / customer-list / growth settings.

config_export · Reads saved data

A JSON document (schema_version 1) of groups, templates, playbooks, tasks, campaigns with steps, limits and post / customer-list / growth settings. Never secrets, proxy passwords, X Chat codes, tokens or customer data. Accounts are referenced by @handle.

REST GET /api/public/v1/config/export
MCP tool config_export
Permission needed view — Owner, Manager, Operator, Viewer
Scope group automation:read
Group Configuration and limits
Shown up front in profiles Automation

Input

No input.

Result

Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.

Example

Call over REST

curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/config/export" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"

Call over MCP

{
  "method": "tools/call",
  "params": {
    "name": "config_export",
    "arguments": {}
  }
}

Errors you may get

Back to all operations